#include <iostream>
#include <iomanip>

using namespace std;

typedef long long int ll;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    ll N;
    ll A[N];
    double P[N];
    cin >> N;

    for(ll i = 0; i < N; i++)
    {
        cin >> A[i] >> P[i];
    }
    double maximum = 0.0;

    for(ll i = 0; i < N; i++)
    {
        double chosen = P[i];
        double new_maximum = 0.0;
        for(ll j = 0; j < N; j++)
        {
            if(chosen <= P[j])
            {
                new_maximum += chosen*A[j]/100;
            }
        }
        if(new_maximum > maximum)
        {
            maximum = new_maximum;
        }
    }

    cout << fixed << showpoint << setprecision(4) << maximum << "\n";

    return 0;
}